php-med-trans

Update PHP vers php 5.5.x

Je viens de passer un de mes serveurs de prod en php 5.5.

Voici trois des soucis rencontrés :

imagick: Unable to initialize module


PHP Warning: PHP Startup: imagick: Unable to initialize module
Erreur imagemagick

Solution : Mettre à jour ImageMagick

Creating default object from empty value

Message:  Creating default object from empty value
Warning ; Creating default object from empty value

Explication : Ce warning intervient peu être pour la première fois suivant le niveau d’erreur des que vous logguez. Il met en avant un soucis de logique dans le code car vous essayez de creer un objet à partir de rien

Solution : Creer un objet php à partir de la variable concerné

<?php $foo = new stdClass(); ?>

L’extension MYSQL historiquement utilisé dans beaucoup de codes est devenue obsolète.

Solution : Passer à MSQLi ou PDO ou autre …

2 réflexions sur “ Update PHP vers php 5.5.x ”

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *